Page MenuHomePhabricator

ci: add osx homebrew packages to cache
ClosedPublic

Authored by zmike on Jul 17 2018, 1:48 PM.

Details

Summary

this adds the downloaded homebrew package files to a cache in order to
avoid needing to separately download each file at the start of each build

not sure we can do better here unless we buy the enterprise-level travis
package which allows building with custom osx images which we could pre-install
all these dependencies on

ref T7096

Depends on D6609

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:48 PM
zmike requested review of this revision.Jul 17 2018, 1:48 PM
zmike added a child revision: D6584: ci: build tests on macos.
zmike updated this revision to Diff 15792.Jul 23 2018, 4:44 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.
stefan_schmidt accepted this revision.Jul 25 2018, 1:07 AM

That is nice, cached packages for install should really help time wise on the osx build

This revision is now accepted and ready to land.Jul 25 2018, 1:07 AM
zmike added a comment.Jul 25 2018, 8:32 AM

Surprisingly...not that much. The biggest issue here is that homebrew is insanely slow and the mac hardware on travis is throttled to an unbelievable degree. This install step still takes like 5 minutes even with caching.

This revision was automatically updated to reflect the committed changes.